#include <iostream>
#include <string>

using namespace std;

void solve_subtask1() {
    string t;
    if (!(cin >> t)) return;
    int u;
    cin >> u;
    
    // Функция, която пресмята отговора за текущия низ за O(N^2)
    auto calc = [&]() {
        long long total = 0;
        int n = t.size();
        string target = "bessie";
        for (int i = 0; i < n; ++i) {
            int state = 0;
            int count = 0;
            for (int j = i; j < n; ++j) {
                if (t[j] == target[state]) {
                    state++;
                    if (state == 6) { // Намерихме цяло "bessie"
                        count++;
                        state = 0; // Започваме да търсим следващото
                    }
                }
                total += count;
            }
        }
        return total;
    };
    
    cout << calc() << "\n";
    while (u--) {
        int p;
        char c;
        cin >> p >> c;
        t[p - 1] = c;
        cout << calc() << "\n";
    }
}

int main() { solve_subtask1(); return 0; }
